Bug 831204 - PDF file printed via cups-pdf printer gets overwritten
PDF file printed via cups-pdf printer gets overwritten
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups-pdf (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 09:34 EDT by Stefan Jensen
Modified: 2013-04-04 20:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 00:22:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Jensen 2012-06-12 09:34:07 EDT
Description of problem:

the PDF file printed via cups-pdf printer gets overwritten, if more than one print job is done.

Version-Release number of selected component (if applicable):

cups-pdf-2.6.1-1.fc17.x86_64

How reproducible:

print two different documents via cups-pdf printer.

Steps to Reproduce:

1. print a document
2. print another one
  
Actual results:

first document get lost by overwriting with the second one.

Expected results:

additional file created for ech print job (maybe with job number as filename or some random numbers as pre)
Comment 1 Stefan Jensen 2013-01-14 00:10:00 EST
Still a problem and happens to the testpage, too.

cups choose a strange filename, when printing a pdf testpage.
It outputs the testpage as "Videos_.pdf" and the filename doesn't change later, when printing a different page, even from another application.
Comment 2 Remi Collet 2013-03-19 09:32:02 EDT
A new build will be available soon (-4 release) which should fix the title detection (avoid "Videos").

To avoid overwriting problem, see "Label" option in /etc/cups/cups-pdf.conf
Comment 3 Fedora Update System 2013-03-19 10:41:10 EDT
cups-pdf-2.6.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cups-pdf-2.6.1-4.fc17
Comment 4 Fedora Update System 2013-03-19 10:41:22 EDT
cups-pdf-2.6.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cups-pdf-2.6.1-4.fc18
Comment 5 Fedora Update System 2013-03-20 17:30:53 EDT
Package cups-pdf-2.6.1-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-pdf-2.6.1-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4043/cups-pdf-2.6.1-4.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-04-03 00:22:02 EDT
cups-pdf-2.6.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-04-04 20:03:24 EDT
cups-pdf-2.6.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.